Bug 1120575 - java-1.8.0-openjdk patches fail to apply on aarch64
Summary: java-1.8.0-openjdk patches fail to apply on aarch64
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: rawhide
Hardware: aarch64
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2014-07-17 08:09 UTC by Peter Robinson
Modified: 2014-07-23 11:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 11:22:38 UTC


Attachments (Terms of Use)

Description Peter Robinson 2014-07-17 08:09:22 UTC
Yet again the patches fail to apply on aarch64. Not sure why they're being conditialised on arch.

java-1.8.0-openjdk-1.8.0.11-4.b12.fc22
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2495492

java-1.8.0-openjdk-1.8.0.11-4.b12.fc21
http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=216517

Mock Version: 1.1.38
Mock Version: 1.1.38
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target aarch64 --nodeps builddir/build/SPECS/java-1.8.0-openjdk.spec'], False, '/var/lib/mock/f22-build-552888-431465/root/', None, 86400, True, False, 996, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x5653ad0>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target aarch64 --nodeps builddir/build/SPECS/java-1.8.0-openjdk.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
warning: Could not canonicalize hostname: mustang-07.farm.hsv.redhat.com
Building target platforms: aarch64
Building for target aarch64
Wrote: /builddir/build/SRPMS/java-1.8.0-openjdk-1.8.0.11-4.b12.fc22.src.rpm
Child return code was: 0
LEAVE do --> 

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target aarch64 --nodeps  builddir/build/SPECS/java-1.8.0-openjdk.spec'], False, '/var/lib/mock/f22-build-552888-431465/root/', None, 86400, True, False, 996, 425, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}, logger=<mockbuild.trace_decorator.getLog object at 0x5653ad0>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target aarch64 --nodeps  builddir/build/SPECS/java-1.8.0-openjdk.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin'}
Building target platforms: aarch64
Building for target aarch64
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.BkfpHG
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf java-1.8.0-openjdk
+ /usr/bin/mkdir -p java-1.8.0-openjdk
+ cd java-1.8.0-openjdk
+ /usr/bin/xz -dc /builddir/build/SOURCES/aarch64-port-jdk8-b128-aarch64-992.tar.xz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ cp /builddir/build/SOURCES/README.src .
+ cp /builddir/build/SOURCES/config.guess jdk8/common/autoconf/build-aux/
+ cp /builddir/build/SOURCES/config.sub jdk8/common/autoconf/build-aux/
+ sh /builddir/build/SOURCES/remove-intree-libraries.sh
Removing built-in libs (they will be linked)
Removing zlib
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/zadler32.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/inffast.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/gzwrite.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/gzguts.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/zutil.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/crc32.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/patches/ChangeLog_java'
removed directory: 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/patches'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/ChangeLog'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/zutil.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/zcrc32.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/inflate.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/gzlib.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/trees.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/trees.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/zconf.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/zlib.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/README'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/inffast.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/compress.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/gzread.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/inftrees.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/inftrees.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/deflate.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/uncompr.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/inffixed.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/inflate.h'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/gzclose.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/infback.c'
removed 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5/deflate.h'
removed directory: 'jdk8/jdk/src/share/native/java/util/zip/zlib-1.2.5'
Removing libjpeg
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcomapi.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdapimin.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdapistd.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdcoefct.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdcolor.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdct.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jddctmgr.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdhuff.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdhuff.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdinput.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdmainct.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdmarker.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdmaster.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdmerge.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdphuff.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdpostct.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdsample.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jerror.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jerror.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jidctflt.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jidctfst.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jidctint.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jidctred.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jinclude.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jmemmgr.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jmemsys.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jmemnobs.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jmorecfg.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jpegint.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jpeglib.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jquant1.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jquant2.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jutils.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcapimin.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcapistd.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jccoefct.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jccolor.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcdctmgr.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jchuff.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jchuff.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcinit.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jconfig.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcmainct.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcmarker.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcmaster.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcparam.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcphuff.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcprepct.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jcsample.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jctrans.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jdtrans.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jfdctflt.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jfdctfst.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jfdctint.c'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/jversion.h'
removed 'jdk8/jdk/src/share/native/sun/awt/image/jpeg/README'
Removing giflib
removed 'jdk8/jdk/src/share/native/sun/awt/giflib/gif_err.c'
removed 'jdk8/jdk/src/share/native/sun/awt/giflib/dgif_lib.c'
removed 'jdk8/jdk/src/share/native/sun/awt/giflib/gif_lib.h'
removed 'jdk8/jdk/src/share/native/sun/awt/giflib/gifalloc.c'
removed 'jdk8/jdk/src/share/native/sun/awt/giflib/gif_lib_private.h'
removed directory: 'jdk8/jdk/src/share/native/sun/awt/giflib'
Removing libpng
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/CHANGES'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngmem.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngpriv.h'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngread.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngwtran.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngerror.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/png.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngset.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngrtran.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngtest.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngtrans.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngstruct.h'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngget.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/README'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngwutil.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pnglibconf.h'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngdebug.h'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/LICENSE'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngwio.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngconf.h'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pnginfo.h'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngpread.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/png.h'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngwrite.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngrutil.c'
removed 'jdk8/jdk/src/share/native/sun/awt/libpng/pngrio.c'
removed directory: 'jdk8/jdk/src/share/native/sun/awt/libpng'
Removing lcms
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmscam02.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmscgats.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmscnvrt.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmserr.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsgamma.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsgmt.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmshalf.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsintrp.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsio0.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsio1.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmslut.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsmd5.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsmtrx.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsnamed.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsopt.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmspack.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmspcs.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsplugin.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsps2.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmssamp.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmssm.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmstypes.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsvirt.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmswtpnt.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/cmsxform.c'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/lcms2.h'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/lcms2_internal.h'
removed 'jdk8/jdk/src/share/native/sun/java2d/cmm/lcms/lcms2_plugin.h'
Patch #201 (system-libjpeg.patch):
+ echo 'Patch #201 (system-libjpeg.patch):'
+ /usr/bin/cat /builddir/build/SOURCES/system-libjpeg.patch
+ /usr/bin/patch -p0 --fuzz=0
patching file jdk8/common/autoconf/libraries.m4
patching file jdk8/jdk/make/lib/Awt2dLibraries.gmk
patching file jdk8/jdk/src/share/classes/com/sun/imageio/plugins/jpeg/JPEGImageReader.java
patching file jdk8/jdk/src/share/classes/com/sun/imageio/plugins/jpeg/JPEGImageWriter.java
patching file jdk8/jdk/src/share/classes/sun/awt/image/JPEGImageDecoder.java
patching file jdk8/jdk/src/share/native/sun/awt/splashscreen/splashscreen_jpeg.c
+ echo 'Patch #202 (system-libpng.patch):'
Patch #202 (system-libpng.patch):
+ /usr/bin/cat /builddir/build/SOURCES/system-libpng.patch
+ /usr/bin/patch -p0 --fuzz=0
patching file jdk8/common/autoconf/libraries.m4
patching file jdk8/common/autoconf/spec.gmk.in
Hunk #1 succeeded at 547 (offset -1 lines).
patching file jdk8/jdk/make/lib/Awt2dLibraries.gmk
patching file jdk8/jdk/src/share/native/sun/awt/splashscreen/splashscreen_png.c
Patch #203 (system-lcms.patch):
+ echo 'Patch #203 (system-lcms.patch):'
+ /usr/bin/cat /builddir/build/SOURCES/system-lcms.patch
+ /usr/bin/patch -p0 --fuzz=0
patching file jdk8/common/autoconf/libraries.m4
patching file jdk8/jdk/make/lib/Awt2dLibraries.gmk
patching file jdk8/jdk/src/share/classes/sun/java2d/cmm/lcms/LCMS.java
Patch #1 (java-1.8.0-openjdk-accessible-toolkit.patch):
+ echo 'Patch #1 (java-1.8.0-openjdk-accessible-toolkit.patch):'
+ /usr/bin/cat /builddir/build/SOURCES/java-1.8.0-openjdk-accessible-toolkit.patch
+ /usr/bin/patch -p0 --fuzz=0
patching file jdk8/jdk/src/share/classes/java/awt/Toolkit.java
Hunk #1 succeeded at 894 (offset 23 lines).
Patch #2 (1015432.patch):
+ echo 'Patch #2 (1015432.patch):'
+ /usr/bin/cat /builddir/build/SOURCES/1015432.patch
+ /usr/bin/patch -p0 --fuzz=0
patching file jdk8/hotspot/src/os/linux/vm/os_linux.cpp
Hunk #1 succeeded at 4844 (offset 47 lines).
Patch #3 (java-atk-wrapper-security.patch):
+ echo 'Patch #3 (java-atk-wrapper-security.patch):'
+ /usr/bin/cat /builddir/build/SOURCES/java-atk-wrapper-security.patch
+ /usr/bin/patch -p0 --fuzz=0
patching file jdk8/jdk/src/share/lib/security/java.security-linux
Hunk #1 FAILED at 211.
Hunk #2 FAILED at 258.
2 out of 2 hunks FAILED -- saving rejects to file jdk8/jdk/src/share/lib/security/java.security-linux.rej
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.BkfpHG (%prep)
    Bad exit status from /var/tmp/rpm-tmp.BkfpHG (%prep)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target aarch64 --nodeps  builddir/build/SPECS/java-1.8.0-openjdk.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 377, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target aarch64 --nodeps  builddir/build/SPECS/java-1.8.0-openjdk.spec']
LEAVE do --> EXCEPTION RAISED

Comment 1 Deepak Bhole 2014-07-17 13:15:28 UTC
We have not updated aarch64 with the July CPU yet. aarch64 is not a primary arch and was not prioritized.

Jiri, can you please look into the patches now and see what is going on?

Comment 2 jiri vanek 2014-07-17 14:47:30 UTC
Building java-1.8.0-openjdk-1.8.0.11-5.b12.fc22 for rawhide
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7158635

Building java-1.8.0-openjdk-1.8.0.11-5.b12.fc21 for f21-candidate
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7158480

Building java-1.8.0-openjdk-1.8.0.11-5.b12.fc20 for f20-candidate
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7158617

The  packages were updated, so they have latest jdk sahred betweennormal and aarch64 hotpost. This brings also most of CPU into aarch64 packages. PAtches apply, But I have not tested builds.

Also note, I will not push this  updates to bodhi, before previous updates move to stable.

Peter, are you ok with that? If it not builds, please ping again.

Comment 3 jiri vanek 2014-07-17 15:15:05 UTC
Building java-1.8.0-openjdk-1.8.0.11-5.b12.fc20 for f20-candidate
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7158800

forgot to add patch :(

Comment 4 Peter Robinson 2014-07-17 22:36:56 UTC
> Also note, I will not push this  updates to bodhi, before previous updates
> move to stable.
> 
> Peter, are you ok with that? If it not builds, please ping again.

Perfectly happy, F-21 and F-22 don't have bodhi enabled so they'll go straight through, we're not building F-20 or less for aarch64. Thank you :)

Comment 7 Peter Robinson 2014-07-18 21:37:00 UTC
F-22 looks good http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2498668

Comment 8 Peter Robinson 2014-07-19 14:37:28 UTC
All built, thanks

Comment 10 Peter Robinson 2014-07-21 12:44:49 UTC
(In reply to jiri vanek from comment #9)
> I was recommanded to do:
> http://pkgs.fedoraproject.org/cgit/java-1.8.0-openjdk.git/commit/
> ?id=9072f47c1ac4d1e1b19ed7bf317a38d1125577a5

Why, if those options are legacy, are we using them in aarch64?

> Do you mind to verify if it behaves same as the previous builds?

Not sure what you mean by "behaves same as the previous builds"?

Comment 11 jiri vanek 2014-07-22 08:50:41 UTC
I assumes it built But I'm wondering - because also  the two builds you confirmed are dying when doing srpm scratch build

-------------------------
/builddir/build/BUILD/java-1.8.0-openjdk/jdk8//make/Main.gmk:69: Building all  (from images) (images docs  newer)
Finished building OpenJDK for target 'all'
+ printf 'Finished building OpenJDK for target '\''all'\''\n'
/builddir/build/BUILD/java-1.8.0-openjdk/jdk8//make/Main.gmk:69: Building all  (from images) (images docs  newer)
/builddir/build/BUILD/java-1.8.0-openjdk/jdk8//make/Main.gmk:69: Building all  (from images) (images docs  newer)
/builddir/build/BUILD/java-1.8.0-openjdk/jdk8//make/Main.gmk:69: Building all  (from images) (images docs  newer)
+ find images/j2sdk-image -iname '*.jar' -exec chmod ugo+r '{}' ';'
+ chmod ugo+r images/j2sdk-image/lib/ct.sym
+ find images/j2sdk-image -iname '*.diz' -exec rm '{}' ';'
+ find images/j2sdk-image -iname '*.debuginfo' -exec rm '{}' ';'
+ popd
++ pwd
+ export JAVA_HOME=/builddir/build/BUILD/java-1.8.0-openjdk/jdk8/build/jdk8.build/images/j2sdk-image
+ JAVA_HOME=/builddir/build/BUILD/java-1.8.0-openjdk/jdk8/build/jdk8.build/images/j2sdk-image
+ mv /builddir/build/BUILD/java-1.8.0-openjdk/jdk8/build/jdk8.build/images/j2sdk-image/jre/bin/java /builddir/build/BUILD/java-1.8.0-openjdk/jdk8/build/jdk8.build/images/j2sdk-image/jre/bin/java-abrt
+ cat /builddir/build/SOURCES/java-abrt-launcher.in
+ sed -e s:@JAVA_PATH@:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.11.aarch64/jre/bin/java-abrt:g -e s:@LIB_DIR@:/usr/lib64/libabrt-java-connector.so:g
+ chmod 755 /builddir/build/BUILD/java-1.8.0-openjdk/jdk8/build/jdk8.build/images/j2sdk-image/jre/bin/java
+ rm /builddir/build/BUILD/java-1.8.0-openjdk/jdk8/build/jdk8.build/images/j2sdk-image/jre/lib/tzdb.dat
+ ln -s /usr/share/javazi-1.8/tzdb.dat /builddir/build/BUILD/java-1.8.0-openjdk/jdk8/build/jdk8.build/images/j2sdk-image/jre/lib/tzdb.dat
+ /builddir/build/BUILD/java-1.8.0-openjdk/jdk8/build/jdk8.build/images/j2sdk-image/bin/javac -d . /builddir/build/SOURCES/TestCryptoLevel.java
Error: missing `client' JVM at `/builddir/build/BUILD/java-1.8.0-openjdk/jdk8/build/jdk8.build/images/j2sdk-image/jre/lib/aarch64/client/libjvm.so'.
Please install or use the JRE or JDK that contains these missing components.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.hujp5f (%build)
    Bad exit status from /var/tmp/rpm-tmp.hujp5f (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target aarch64 --nodeps  builddir/build/SPECS/java-1.8.0-openjdk.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 377, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target aarch64 --nodeps  builddir/build/SPECS/java-1.8.0-openjdk.spec']
LEAVE do --> EXCEPTION RAISED



http://arm.koji.fedoraproject.org//work/tasks/5908/2505908/build.log
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2505908

Comment 12 Peter Robinson 2014-07-22 09:07:07 UTC
I'm looking

(In reply to jiri vanek from comment #11)
> I assumes it built But I'm wondering - because also  the two builds you
> confirmed are dying when doing srpm scratch build

Why are you building binary stuff when building a srpm?

Comment 13 Peter Robinson 2014-07-22 09:09:54 UTC
(In reply to Peter Robinson from comment #12)
> I'm looking
> 
> (In reply to jiri vanek from comment #11)
> > I assumes it built But I'm wondering - because also  the two builds you
> > confirmed are dying when doing srpm scratch build
> 
> Why are you building binary stuff when building a srpm?

and ultimately anything that you do in the build of the src.rpm should never be ifarched as you'll likely end up with extra or missing patches. The build of the .src.rpm is treated like noarch and hence should run the same on any arch

Comment 14 Peter Robinson 2014-07-22 09:27:24 UTC
Reopening.... it's broken

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2508372

Comment 15 jiri vanek 2014-07-22 15:11:29 UTC
Its the same issue I have hit in test builds. Fixing.

Comment 16 jiri vanek 2014-07-23 11:22:38 UTC
Omair had switched the lines in jvm.config and  afaik his scratch  passed and he pushed f21 and 22. Closing for now.


Note You need to log in before you can comment on or make changes to this bug.